/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.sidebar {
    position: fixed;
    left: 0;
    width: rem(250);
    padding-top: rem(40);
    border-right: rem(1) solid var(--border-color);
    min-height: calc(100vh - rem(92));

    h1 {
        margin: 0;
        font-size: rem(14);
        font-weight: 400;
        line-height: rem(14);
        color: var(--color-default-2);
    }

    &>div {
        padding: rem(0) rem(0) rem(40) rem(0);
        border-top: rem(1) solid var(--light-gray);

        &:first-of-type {
            border-top: none;
        }

    }

    &-top{
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: rem(24);
        padding: rem(0) rem(16)
    }

}

@import "../sidebar/nav";
@import "../sidebar/recent";